Bug 249238 - New port: security/sequoia: a modern PGP implementation written in rust
Summary: New port: security/sequoia: a modern PGP implementation written in rust
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Vanilla I. Shu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-10 16:53 UTC by phryk
Modified: 2020-09-20 20:47 UTC (History)
2 users (show)

See Also:


Attachments
diff for the port, generated as per porters handbook, chapter 3.6 (66.09 KB, patch)
2020-09-10 16:53 UTC, phryk
no flags Details | Diff
fix for security/sequoia (59.03 KB, patch)
2020-09-12 04:09 UTC, Vanilla I. Shu
no flags Details | Diff
patch for security/py-sequoia (2.85 KB, patch)
2020-09-12 04:10 UTC, Vanilla I. Shu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description phryk 2020-09-10 16:53:14 UTC
Created attachment 217874 [details]
diff for the port, generated as per porters handbook, chapter 3.6

A modern PGP implementation written in rust.

This is the cryptographic basis of the pretty easy privacy stack (see https://pep.security ) I'm trying to bring to FreeBSD.

Many thanks to Mikael, who helped out a lot in making this port.
Comment 1 Vanilla I. Shu freebsd_committer 2020-09-12 04:09:48 UTC
Created attachment 217901 [details]
fix for security/sequoia
Comment 2 Vanilla I. Shu freebsd_committer 2020-09-12 04:10:16 UTC
Created attachment 217902 [details]
patch for security/py-sequoia
Comment 3 Vanilla I. Shu freebsd_committer 2020-09-12 04:11:26 UTC
Hi:

I made two patches for sequoia.

1: fix some styles of sequoia.
2: split python binding to py-sequoia.

please help to review, thanks,
Comment 4 phryk 2020-09-19 08:18:50 UTC
Sorry for the delay – took me a bit to figure out how to use the patch
files and then make time and disk space to actually test building.

Far as I can tell most everything is in order, tho I can't rightly
claim that to mean much as I'm still new to the whole porting thing.

The only issue I see is that the py-sequoia port doesn't strip _sequoia.abi3.so.

The path on my particular system looks like this:

work-py37/sequoia-383133f6be990237044900a4df676488bf8dd71e-383133f6be990237044900a4df676488bf8dd71e/ffi/lang/python/build/lib.freebsd-12.1-RELEASE-p8-amd64-3.7/_sequoia.abi3.so


I fixed it locally by adding this to py-sequoia/Makefile:

---
UNAME_R != uname -r

post-build:
	${STRIP_CMD} ${WRKSRC}/build/lib.freebsd-${UNAME_R}-${ARCH}-${PYTHON_VER}/_sequoia.abi3.so
---

I'm sure there's some way to avoid setting an extra variable,
but for the life of me can't remember what that looked like…
Comment 5 Vanilla I. Shu freebsd_committer 2020-09-20 02:04:47 UTC
Hi:

That's fine with py-sequoia,

I will use a better way to strip its _sequoia.abi3.so.

thanks for your review.
Comment 6 commit-hook freebsd_committer 2020-09-20 02:13:53 UTC
A commit references this bug:

Author: vanilla
Date: Sun Sep 20 02:13:28 UTC 2020
New revision: 549082
URL: https://svnweb.freebsd.org/changeset/ports/549082

Log:
  Add sequoia 0.19.0, modern PGP implementation, written in rust.

  PR:		249238
  Submitted by:	phryk-ports@wzff.de

Changes:
  head/security/Makefile
  head/security/sequoia/
  head/security/sequoia/Makefile
  head/security/sequoia/distinfo
  head/security/sequoia/files/
  head/security/sequoia/files/patch-Makefile
  head/security/sequoia/files/patch-ffi_Makefile
  head/security/sequoia/files/patch-openpgp-ffi_Makefile
  head/security/sequoia/files/patch-sop_Makefile
  head/security/sequoia/files/patch-sqv_Makefile
  head/security/sequoia/files/patch-store_Makefile
  head/security/sequoia/files/patch-tool_Makefile
  head/security/sequoia/files/sequoia-openpgp.pc.in
  head/security/sequoia/files/sequoia.pc.in
  head/security/sequoia/pkg-descr
  head/security/sequoia/pkg-plist
Comment 7 commit-hook freebsd_committer 2020-09-20 02:14:54 UTC
A commit references this bug:

Author: vanilla
Date: Sun Sep 20 02:13:56 UTC 2020
New revision: 549083
URL: https://svnweb.freebsd.org/changeset/ports/549083

Log:
  Add py-sequoia 0.19.0, python binding of sequoia.

  PR:		249238
  Submitted by:	phryk-ports@wzff.de

Changes:
  head/security/Makefile
  head/security/py-sequoia/
  head/security/py-sequoia/Makefile
  head/security/py-sequoia/distinfo
  head/security/py-sequoia/files/
  head/security/py-sequoia/files/patch-Makefile
  head/security/py-sequoia/files/patch-setup.py
  head/security/py-sequoia/pkg-descr
Comment 8 Vanilla I. Shu freebsd_committer 2020-09-20 02:25:15 UTC
Committed, thanks.
Comment 9 phryk 2020-09-20 20:47:01 UTC
(In reply to Vanilla I. Shu from comment #8)

And thanks to you, too! I would not have known how to split the python bindings into their own port. :)